org.eclipse.emf.compare.rcp.ui.internal

## Class EMFCompareConstants

- java.lang.Object
- - org.eclipse.emf.compare.rcp.ui.internal.EMFCompareConstants

    public final class EMFCompareConstants
    extends Object

### Field Summary

Fields
`static short` `LIST_SIZE_INSERTION_POINT_THRESHOLD` If the list on any one of the sides we're trying to display in the UI contains more elements than the given threshold, don't try and compute the insertion index for differences merging.
`static String` `NODE_TYPE__EMF_EOBJECT`
`static String` `NODE_TYPE__EMF_RESOURCE`
`static String` `NODE_TYPE__EMF_RESOURCESET`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### NODE_TYPE__EMF_RESOURCESET

    public static final String NODE_TYPE__EMF_RESOURCESET

See Also:
  Constant Field Values

#### NODE_TYPE__EMF_RESOURCE

    public static final String NODE_TYPE__EMF_RESOURCE

See Also:
  Constant Field Values

#### NODE_TYPE__EMF_EOBJECT

    public static final String NODE_TYPE__EMF_EOBJECT

See Also:
  Constant Field Values

#### LIST_SIZE_INSERTION_POINT_THRESHOLD

    public static final short LIST_SIZE_INSERTION_POINT_THRESHOLD

If the list on any one of the sides we're trying to display in the UI contains more elements than the given threshold, don't try and compute the insertion index for differences merging. On the one hand, showing insertion points in lists with so many elements wouldn't really be human readable, on the other hand, trying to compute insertion indices for too large lists will easily result in OutOfMemoryErrors. For example, if the left and right sides contain 60000 elements, we'll end up trying to instantiate an array with the following signature: "int[60000][60000]" to compute the LCS (see DiffUtils). Such an array would cost 13GB of memory as a conservative estimate.

See Also:
  Constant Field Values